import merge from "lodash/merge";
import { ensureBlobContainerExists } from "./ensure-blob-container-exists";
export const createAzureBlobStorageMediaPlugin = (options) => {
    return (config) => {
        if (options.allowContainerCreate) {
            ensureBlobContainerExists(options);
        }
        global["PAYLOAD_AZURE_CONFIG"] = options;
        return merge(config, {
            graphQL: {
                queries: (graphQL, _payload) => {
                    return {
                        azureBlobInfo: {
                            type: graphQL.GraphQLString,
                            resolve(_source, _args, _context) {
                                return "hi from azure blob storage media plugin!";
                            },
                        },
                    };
                },
            },
        });
    };
};
